local L = LibStub("AceLocale-3.0"):NewLocale("ChatMonitor", "enUS", true)

if not L then return end

-- Misc
L["Profiles"] = true
L["Author"] = true
L["Keywords"] = true
L["Classes"] = true
L["Roles"] = true
L["Selling"] = true
L["Buying"] = true
L["Crowd control"] = true
L["Accuracy"] = true
L["Lua patterns can be used as keywords if they are enclosed between / marks e.g."] = true
L["will match any text contained within < > marks."] = true
L["For help with Lua pattern matching, see: https://www.lua.org/pil/20.2.html"] = true
L["Adjust how close a match the keywords are. Ignored for pattern matching or words of less than 4 letters."] = true
L["Font"] = true
L["Background color"] = true
L["Timestamp format"] = true
L["Hide scrollbar"] = true
L["Only display when the Trade channel is enabled"] = true
L["Message fade time in minutes"] = true
L["Whisper %s"] = true
L["Close menu"] = true
L["Looking for"] = true
L["Advertising"] = true
L["Interact"] = true
L["Other Options"] = true
L["Clear Messages"] = true

-- LF
L["LF"] = "lf,need"

-- LFG
L["LFG"] = "lfg,/look.- for .-group/"

-- LFM
L["LFM"] = "lfm,/look.- for .-more/"

-- WTB
L["WTB"] = "wtb,wtt,buy"

-- WTS
L["WTS"] = "wts"

-- Professions
L["Jewelcrafting"] = true
L["Enchanting"] = true
L["Leatherworking"] = true
L["Inscription"] = true
L["Tailoring"] = true
L["Blacksmithing"] = true
L["Alchemy"] = true
L["Engineering"] = true

L["JC"] = "jc,jcer,jewelcrafter,cutter,jw,jewel,jewelcrafting"
L["ENC"] = "enc,enchanter,enchanting"
L["LW"] = "lw,lwer,leatherworker,leatherworking"
L["INS"] = "ins,inscription,inscriber"
L["TLR"] = "tlr,tailor,tailoring"
L["BS"] = "bs,blacksmith,blacksmithing"
L["ALC"] = "alc,alchemist,alchemy"
L["ENG"] = "eng,engineer,engineering"

-- Classes
L["DEATHKNIGHT"] = "death,deathknight,dk"
L["DRUID"] = "druid,drood,boomkin"
L["HUNTER"] = "hunter"
L["MAGE"] = "mage"
L["MONK"] = "monk,windwalker"
L["PALADIN"] = "paladin,pala"
L["PRIEST"] = "priest"
L["ROGUE"] = "rogue"
L["SHAMAN"] = "shaman"
L["WARLOCK"] = "warlock"
L["WARRIOR"] = "warrior"
L["DEMONHUNTER"] = "demonhunter,demon,dh"

-- Roles
L["TANK"] = "tank,mt,ot"
L["HEAL"] = "healer"
L["DPS"] = "dps"
L["CC"] = "crowd,cc"
L["MEL"] = "melee,mdps"
L["RNG"] = "ranged,rdps"

-- Guild
L["GUILD"] = "guild,recruit,recruiting,/<.+>/,/>.+</"
L["LFGUILD"] = "/lf .-guild/,/look.- for .-guild/"